export = SecureSEPA;
declare class SecureSEPA {
    static defaultClient(clientID: any, clientSecret: any, config?: {}): SecureSEPA;
    static register(clientID: any, config?: {}): any;
    constructor(clientID: any, clientSecret: any, parameters: any);
    clientID: any;
    clientSecret: any;
    webToken: any;
    maxTokenRetries: number;
    query(query: any, config: any): Promise<any>;
    update(update: any, config: any): Promise<any>;
    subscribe(query: any, config: any, alias: any): SecureSubscriptionWrapper;
    login(): Promise<void>;
    _retriveToken(): any;
    _autoRenewToken(oper: any, arg: any, config: any, callTimes: any): any;
    _setHeaders(clientConfig: any): any;
}
declare class SecureSubscriptionWrapper extends EventEmitter {
    constructor(sub: any, config: any, secureClient: any);
    _config: any;
    _secureClient: any;
    _unsubcribing: boolean;
    emit(name: any, object: any): void;
    get alias(): any;
    get query(): any;
    unsubscribe(): void;
    kill(): void;
    _forwardSubEvents(sub: any): void;
    _sub: any;
}
import EventEmitter_1 = require("events");
import EventEmitter = EventEmitter_1.EventEmitter;
