/// <reference types="node" />
import { EventEmitter } from "events";
export default class Subscription extends EventEmitter {
    private _connection;
    private _unsubscribed;
    private _query;
    private _alias;
    private _stream;
    options: any;
    constructor(query: string, connection: any, alias?: string, options?: any);
    get alias(): string;
    get query(): string;
    unsubscribe(): void;
    kill(): void;
}
