import SEPA from './sepa';
import bench from './querybench';
declare const _default: {
    SEPA: typeof SEPA;
    client: SEPA & {
        secure: typeof SEPA;
    };
    Jsap: new <T extends import("./jsap").JSAPConfig>(attr: T) => {
        namespaces: Record<string, string>;
        extended: Record<string, any>;
        updates: Record<string, any>;
        queries: Record<string, any>;
        "__#1@#api": SEPA;
        "__#1@#bench": bench;
        query(key: string, bindings: import("./querybench").Bindings): Promise<any>;
        subscribe(key: string, bindings: import("./querybench").Bindings): import("./subscription").default;
        update(key: string, bindings: import("./querybench").Bindings): Promise<{
            status: number;
            statusText: string;
        }>;
        producer(key: string): (binds: any) => void;
        consumer(key: string): (binds: any) => void;
        readonly Producers: {};
        readonly Consumers: {};
    } & Record<keyof T["updates"], (bindings: import("./querybench").Bindings) => Promise<{
        status: number;
        statusText: string;
    }>> & Record<keyof T["queries"], never>;
    bench: typeof bench;
};
export = _default;
