"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
const defaults_1 = __importDefault(require("./defaults"));
const sepa_1 = __importDefault(require("./sepa"));
const querybench_1 = __importDefault(require("./querybench"));
const jsap_1 = __importDefault(require("./jsap"));
const SECSEPA = require('./secure');
const client = new sepa_1.default(defaults_1.default);
client.secure = SECSEPA;
module.exports = {
    SEPA: sepa_1.default,
    client: client,
    Jsap: jsap_1.default,
    bench: querybench_1.default
};
//# sourceMappingURL=core.js.map